Bug 251311 - net/hblock: Update to 3.1.0
Summary: net/hblock: Update to 3.1.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://github.com/hectorm/hblock/rel...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-22 14:16 UTC by Lewis Cook
Modified: 2020-11-24 11:42 UTC (History)
1 user (show)

See Also:


Attachments
hblock-3.1.0.diff (2.27 KB, patch)
2020-11-22 14:16 UTC, Lewis Cook
lcook: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lewis Cook freebsd_committer freebsd_triage 2020-11-22 14:16:47 UTC
Created attachment 219885 [details]
hblock-3.1.0.diff

* Add manpage to installation, as well as
  include more documentation.

Changelog:

 * https://github.com/hectorm/hblock/releases/v3.1.0

QA:

 * portlint: OK (looks fine).
 * testport: OK (poudriere: 12.2-RELEASE, amd64).

MFH: No (Feature changes between the last release).
Comment 1 Automation User 2020-11-22 14:34:42 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/219655035
Comment 2 commit-hook freebsd_committer 2020-11-23 06:48:43 UTC
A commit references this bug:

Author: rhurlin
Date: Mon Nov 23 06:47:44 UTC 2020
New revision: 556090
URL: https://svnweb.freebsd.org/changeset/ports/556090

Log:
  net/hblock: Update to 3.1.0

  Update from v2.1.7 to v3.1.0 (skipped v3.0.0 and v.3.0.1).

  Changelog: https://github.com/hectorm/hblock/compare/v2.1.7...v3.1.0

  PR:		251311
  Submitted by:	Lewis Cook <vulcan@wired.sh> (maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D27322

Changes:
  head/net/hblock/Makefile
  head/net/hblock/distinfo
Comment 3 Rainer Hurling freebsd_committer 2020-11-23 06:52:27 UTC
Committed, thanks :)


Against your patch I changed back to PLIST_FILES instead of an added pkg-plist file (as recommended in chapter 3.2.2. of the Porters Handbook).
Comment 4 Lewis Cook freebsd_committer freebsd_triage 2020-11-23 23:06:39 UTC
(In reply to Rainer Hurling from comment #3)
Thanks, just one minor nit upon examining with `portlint`:

$ portlint

FATAL: PLIST_FILES: files cannot contain %%FOO%% variables.  Use make variables and logic instead.

If you could s/%%MANPAGES%%/${MANPAGES}/ in PLIST_FILES that would be great, and is why I made the choice breaking into pkg-plist since it's not as common-place explicitly adding the optional MANPAGES into PLIST_FILES (in the port Makefile) but rather in pkg-plist.

Cheers! :)
Comment 5 Rainer Hurling freebsd_committer 2020-11-24 11:42:58 UTC
(In reply to Lewis Cook from comment #4)

Fixed in r556155, thanks for reporting :)